Bug 1118763 - Fail to update to last stable package
Summary: Fail to update to last stable package
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: freecad
Version: el6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 13:21 UTC by Alain Portal
Modified: 2014-09-08 13:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-08 13:33:10 UTC


Attachments (Terms of Use)

Description Alain Portal 2014-07-11 13:21:20 UTC
When trying to update my PC with yum, freecad failed to be updated. Here is the console output:

[root@super-phoenix ~]# yum update
Loaded plugins: fastestmirror, priorities, refresh-packagekit
Loading mirror speeds from cached hostfile                   
 * base: mirror.in2p3.fr                                     
 * elrepo: elrepo.reloumirrors.net                           
 * epel: fr2.rpmfind.net                                     
 * extras: mirror.in2p3.fr                                   
 * rpmforge: fr2.rpmfind.net                                 
 * rpmfusion-free-updates: fr2.rpmfind.net                   
 * rpmfusion-nonfree-updates: fr2.rpmfind.net                
 * updates: ftp.rezopole.net                                 
1620 packages excluded due to repository priority protections
Setting up Update Process                                    
Resolving Dependencies                                       
--> Running transaction check                                
---> Package freecad.x86_64 0:0.13-4.el6 will be updated     
---> Package freecad.x86_64 0:0.13-10.el6 will be an update  
--> Processing Dependency: freecad-data = 0.13-10.el6 for package: freecad-0.13-10.el6.x86_64
--> Processing Dependency: libTKernel.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64  
--> Processing Dependency: libTKXSBase.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64 
--> Processing Dependency: libTKXDESTEP.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64
--> Processing Dependency: libTKXDEIGES.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64
--> Processing Dependency: libTKXCAF.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64   
--> Processing Dependency: libTKTopAlgo.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64
--> Processing Dependency: libTKShHealing.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64
--> Processing Dependency: libTKSTL.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64      
--> Processing Dependency: libTKSTEPBase.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64 
--> Processing Dependency: libTKSTEPAttr.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64 
--> Processing Dependency: libTKSTEP.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64     
--> Processing Dependency: libTKPrim.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64     
--> Processing Dependency: libTKOffset.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64   
--> Processing Dependency: libTKMesh.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64     
--> Processing Dependency: libTKMath.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64     
--> Processing Dependency: libTKLCAF.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64     
--> Processing Dependency: libTKIGES.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64     
--> Processing Dependency: libTKHLR.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64      
--> Processing Dependency: libTKGeomBase.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64 
--> Processing Dependency: libTKGeomAlgo.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64 
--> Processing Dependency: libTKG3d.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64      
--> Processing Dependency: libTKG2d.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64      
--> Processing Dependency: libTKFillet.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64   
--> Processing Dependency: libTKCAF.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64      
--> Processing Dependency: libTKBool.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64     
--> Processing Dependency: libTKBRep.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64     
--> Processing Dependency: libTKBO.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64       
--> Running transaction check                                                                  
---> Package freecad.x86_64 0:0.13-10.el6 will be an update                                    
--> Processing Dependency: libTKernel.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64    
--> Processing Dependency: libTKXSBase.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64   
--> Processing Dependency: libTKXDESTEP.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64  
--> Processing Dependency: libTKXDEIGES.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64  
--> Processing Dependency: libTKXCAF.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64     
--> Processing Dependency: libTKTopAlgo.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64  
--> Processing Dependency: libTKShHealing.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64
--> Processing Dependency: libTKSTL.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64      
--> Processing Dependency: libTKSTEPBase.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64 
--> Processing Dependency: libTKSTEPAttr.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64 
--> Processing Dependency: libTKSTEP.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64     
--> Processing Dependency: libTKPrim.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64     
--> Processing Dependency: libTKOffset.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64   
--> Processing Dependency: libTKMesh.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64     
--> Processing Dependency: libTKMath.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64     
--> Processing Dependency: libTKLCAF.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64     
--> Processing Dependency: libTKIGES.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64     
--> Processing Dependency: libTKHLR.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64      
--> Processing Dependency: libTKGeomBase.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64 
--> Processing Dependency: libTKGeomAlgo.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64 
--> Processing Dependency: libTKG3d.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64      
--> Processing Dependency: libTKG2d.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64      
--> Processing Dependency: libTKFillet.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64   
--> Processing Dependency: libTKCAF.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64      
--> Processing Dependency: libTKBool.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64     
--> Processing Dependency: libTKBRep.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64     
--> Processing Dependency: libTKBO.so.8()(64bit) for package: freecad-0.13-10.el6.x86_64       
---> Package freecad-data.noarch 0:0.13-10.el6 will be installed                               
--> Finished Dependency Resolution                                                             
Error: Package: freecad-0.13-10.el6.x86_64 (epel)                                              
           Requires: libTKG2d.so.8()(64bit)                                                    
Error: Package: freecad-0.13-10.el6.x86_64 (epel)                                              
           Requires: libTKGeomBase.so.8()(64bit)                                               
Error: Package: freecad-0.13-10.el6.x86_64 (epel)                                              
           Requires: libTKCAF.so.8()(64bit)                                                    
Error: Package: freecad-0.13-10.el6.x86_64 (epel)                                              
           Requires: libTKXDEIGES.so.8()(64bit)                                                
Error: Package: freecad-0.13-10.el6.x86_64 (epel)                                              
           Requires: libTKTopAlgo.so.8()(64bit)                                                
Error: Package: freecad-0.13-10.el6.x86_64 (epel)                                              
           Requires: libTKSTEP.so.8()(64bit)                                                   
Error: Package: freecad-0.13-10.el6.x86_64 (epel)                                              
           Requires: libTKMath.so.8()(64bit)                                                   
Error: Package: freecad-0.13-10.el6.x86_64 (epel)                                              
           Requires: libTKIGES.so.8()(64bit)                                                   
Error: Package: freecad-0.13-10.el6.x86_64 (epel)                                              
           Requires: libTKSTEPBase.so.8()(64bit)                                               
Error: Package: freecad-0.13-10.el6.x86_64 (epel)                                              
           Requires: libTKPrim.so.8()(64bit)                                                   
Error: Package: freecad-0.13-10.el6.x86_64 (epel)                                              
           Requires: libTKernel.so.8()(64bit)
Error: Package: freecad-0.13-10.el6.x86_64 (epel)
           Requires: libTKSTEPAttr.so.8()(64bit)
Error: Package: freecad-0.13-10.el6.x86_64 (epel)
           Requires: libTKSTL.so.8()(64bit)
Error: Package: freecad-0.13-10.el6.x86_64 (epel)
           Requires: libTKG3d.so.8()(64bit)
Error: Package: freecad-0.13-10.el6.x86_64 (epel)
           Requires: libTKLCAF.so.8()(64bit)
Error: Package: freecad-0.13-10.el6.x86_64 (epel)
           Requires: libTKGeomAlgo.so.8()(64bit)
Error: Package: freecad-0.13-10.el6.x86_64 (epel)
           Requires: libTKXCAF.so.8()(64bit)
Error: Package: freecad-0.13-10.el6.x86_64 (epel)
           Requires: libTKShHealing.so.8()(64bit)
Error: Package: freecad-0.13-10.el6.x86_64 (epel)
           Requires: libTKMesh.so.8()(64bit)
Error: Package: freecad-0.13-10.el6.x86_64 (epel)
           Requires: libTKOffset.so.8()(64bit)
Error: Package: freecad-0.13-10.el6.x86_64 (epel)
           Requires: libTKBRep.so.8()(64bit)
Error: Package: freecad-0.13-10.el6.x86_64 (epel)
           Requires: libTKHLR.so.8()(64bit)
Error: Package: freecad-0.13-10.el6.x86_64 (epel)
           Requires: libTKBO.so.8()(64bit)
Error: Package: freecad-0.13-10.el6.x86_64 (epel)
           Requires: libTKXDESTEP.so.8()(64bit)
Error: Package: freecad-0.13-10.el6.x86_64 (epel)
           Requires: libTKFillet.so.8()(64bit)
Error: Package: freecad-0.13-10.el6.x86_64 (epel)
           Requires: libTKBool.so.8()(64bit)
Error: Package: freecad-0.13-10.el6.x86_64 (epel)
           Requires: libTKXSBase.so.8()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 1 John Morris 2014-07-11 14:52:36 UTC
These are OCE dependencies.  The OCE in EPEL stable provides lib*.so.7().

The OCE update that would have provided lib*.so.8() is still in testing:

https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1524

This is because of the recent flurry of updates to FreeCAD getting out of sync with each other.

Richard, any idea what happens if we push the above update to stable?  It includes the previous freecad-0.13-9.el6, whereas the current package in EPEL is freecad-0.13-10.el6.  I hope that Fedora buildsys is smart enough to drop the obsolete freecad-0.13-9.el6 update.

Comment 2 John Morris 2014-07-11 15:07:01 UTC
Also wrote an inquiry on fedora-devel about pushing the update [1].  Just being paranoid.

[1]:  https://lists.fedoraproject.org/pipermail/devel/2014-July/201011.html

Comment 3 Alain Portal 2014-07-11 15:33:37 UTC
Thank for your quick answer, I'll wait for the needed stable OCE being push in stable.

I'm just surprised that this new freecad succeed to build with testing dependencies.

Comment 4 John Morris 2014-07-11 20:59:02 UTC
Kevin Fenzi replied [1] that the freecad can simply be edited out of the update (duh).

I was unable to do this myself, since I don't have write access to the OCE package.  Richard, can you take care of this?  (Ambiguous question left up to your interpretation/preference. ;)

[1]: https://lists.fedoraproject.org/pipermail/devel/2014-July/201013.html

Comment 5 Richard Shaw 2014-07-15 20:49:02 UTC
I've been on "vacation" for the last 5 days, I put it in quote because it started out a Cub Scout trip and ended up being a nightmare. I won't elaborate on BZ but it might be a few days before I can look at this. Also, looks like FreeCAD 0.14 was just released so one option may be to kill this update if we still can?

Comment 6 John Morris 2014-07-16 17:05:00 UTC
Sorry to hear about your trip.  Hope that's resolving as well as possible.

Can you edit freecad out of the update linked in comment 1 and push the OCE updates?  That would resolve this bug.

Comment 7 Richard Shaw 2014-07-16 17:16:47 UTC
Done.

Comment 8 John Morris 2014-07-17 14:36:39 UTC
Hi Richard, sorry, I also hoped for you to push the update in comment 1.  :)

Thanks!

Comment 9 Richard Shaw 2014-07-20 11:58:29 UTC
It's back in testing, which I don't think I can help for the next 2 weeks so I've changed the karma requirement to 1, someone other than me needs to (ideally test it) and then give it positive karma and I can push it.

Comment 10 Richard Shaw 2014-08-11 13:09:19 UTC
Ok, just doing some BZ cleanup. Is there anything left to be done here or can we close this bug?

Comment 11 Richard Shaw 2014-09-08 13:33:10 UTC
Ok, I'm assuming this is taken care of at this point. Closing.


Note You need to log in before you can comment on or make changes to this bug.